Bug 592861 - Recovered messages larger than 65523 bytes result in framing violation
Recovered messages larger than 65523 bytes result in framing violation
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1.1
All Linux
urgent Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 04:49 EDT by Gordon Sim
Modified: 2015-11-15 20:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Sending a durable message of 65524 bytes or more to a durable queue, restarting the broker, and trying to receive the message from the queue failed with a framing error: "framing-error: Frame size too small 0". With this update, this behavior no longer occurs and messages are received without any errors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Gordon Sim 2010-05-17 04:49:02 EDT
Description of problem:

Recovered messages are incorrectly fragmented.

How reproducible:

100%

Steps to Reproduce:
1. send a durable message of 65524 bytes or more to a durable queue
2. restart the broker
3. try to receive the message from the queue
  
Actual results:

Fails with e.g. framing-error: Frame size too small 0

Expected results:

Message should be received without error.

Additional info:

Also logged as https://issues.apache.org/jira/browse/QPID-2605
Comment 1 Gordon Sim 2010-05-17 05:52:45 EDT
Fixed by r945048.
Comment 3 Frantisek Reznicek 2010-09-21 08:11:29 EDT
The issue reproduced on qpid-cpp-server-0.7.939184-1.el5.
Comment 4 Frantisek Reznicek 2010-09-21 08:46:38 EDT
The issue has been fixed, retested on RHEL 4.8 / 5.5 i386 / x86_64 on packages:
python-qmf-0.7.946106-13.el5
python-qpid-0.7.946106-14.el5
qmf-0.7.946106-15.el5
qmf-devel-0.7.946106-15.el5
qpid-cpp-client-0.7.946106-15.el5
qpid-cpp-client-devel-0.7.946106-15.el5
qpid-cpp-client-devel-docs-0.7.946106-15.el5
qpid-cpp-client-rdma-0.7.946106-15.el5
qpid-cpp-client-ssl-0.7.946106-15.el5
qpid-cpp-server-0.7.946106-15.el5
qpid-cpp-server-cluster-0.7.946106-15.el5
qpid-cpp-server-devel-0.7.946106-15.el5
qpid-cpp-server-rdma-0.7.946106-15.el5
qpid-cpp-server-ssl-0.7.946106-15.el5
qpid-cpp-server-store-0.7.946106-15.el5
qpid-cpp-server-xml-0.7.946106-15.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-client-0.7.946106-9.el5
qpid-java-common-0.7.946106-9.el5
qpid-tools-0.7.946106-10.el5

-> VERIFIED
Comment 5 Martin Prpič 2010-10-10 05:14:57 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Sending a durable message of 65524 bytes or more to a durable queue, restarting the broker, and trying to receive the message from the queue failed with a framing error: "framing-error: Frame size too small 0". With this update, this behavior no longer occurs and messages are received without any errors.
Comment 7 errata-xmlrpc 2010-10-14 12:00:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.